Create a new account (tenant). If an account with the given ID previously existed and was removed, this action will reactivate that account. Requires an environment token obtained from the environment authentication route.
Accounts module//
- Delete current account (tenant)
Delete account (tenant)
Create an account (tenant)
Lock tenants (batch)
Unlock tenants (batch)
Add account (tenant) metadata
Delete account (tenant) metadata
Get accounts (tenants)
Get an account (tenant)
Update an account (tenant)
Get account (tenant) by ID
Update account (tenant)
Delete current account (t...
Account Management Overview (1.0)
Frontegg is built with multi-tenancy in mind, allowing the creation and management of multiple accounts (tenants) within an environment. This section provides an overview of relevant API endpoints, organized into Management and Self-Service categories, supporting the creation of accounts, hierarchies, and sub-accounts.
Management Endpoints: Require environment-level authorization and offer full control over resources, including SSO (SAML and OIDC) configurations, account hierarchies, and sub-accounts.
Self-Service Endpoints: Accessible with a user token (JWT), enabling users with the appropriate permissions to create, update, and delete sub-accounts from ah hierarchy.
Download OpenAPI description
Languages
Servers
EU Region
https://api.frontegg.com/tenants/
US Region
https://api.us.frontegg.com/tenants/
CA Region
https://api.ca.frontegg.com/tenants/
AU Region
https://api.au.frontegg.com/tenants/
Frontegg sub-domain for use with user tokens
https://{domain}.frontegg.com/tenants/
- EU Regionhttps://api.frontegg.com/tenants/resources/tenants/v1
- US Regionhttps://api.us.frontegg.com/tenants/resources/tenants/v1
- CA Regionhttps://api.ca.frontegg.com/tenants/resources/tenants/v1
- AU Regionhttps://api.au.frontegg.com/tenants/resources/tenants/v1
- Frontegg sub-domain for use with user tokenshttps://app-xxx.frontegg.com/tenants/resources/tenants/v1
- cURL
- JavaScript
- Python
- GO
- Payload
curl -i -X POST \
https://api.frontegg.com/tenants/resources/tenants/v1 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"tenantId": "string",
"name": "string",
"status": "string",
"website": "string",
"applicationUrl": "string",
"logo": "string",
"logoUrl": "string",
"address": "string",
"timezone": "string",
"currency": "string",
"creatorName": "string",
"creatorEmail": "string",
"isReseller": true,
"parentTenantId": "string"
}'- EU Regionhttps://api.frontegg.com/tenants/resources/tenants/v1
- US Regionhttps://api.us.frontegg.com/tenants/resources/tenants/v1
- CA Regionhttps://api.ca.frontegg.com/tenants/resources/tenants/v1
- AU Regionhttps://api.au.frontegg.com/tenants/resources/tenants/v1
- Frontegg sub-domain for use with user tokenshttps://app-xxx.frontegg.com/tenants/resources/tenants/v1
- cURL
- JavaScript
- Python
- GO
- Payload
curl -i -X DELETE \
https://api.frontegg.com/tenants/resources/tenants/v1 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- EU Regionhttps://api.frontegg.com/tenants/resources/tenants/v1/lock
- US Regionhttps://api.us.frontegg.com/tenants/resources/tenants/v1/lock
- CA Regionhttps://api.ca.frontegg.com/tenants/resources/tenants/v1/lock
- AU Regionhttps://api.au.frontegg.com/tenants/resources/tenants/v1/lock
- Frontegg sub-domain for use with user tokenshttps://app-xxx.frontegg.com/tenants/resources/tenants/v1/lock
- cURL
- JavaScript
- Python
- GO
- Payload
curl -i -X POST \
https://api.frontegg.com/tenants/resources/tenants/v1/lock \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"tenantIds": [
"string"
]
}'